%define version		0.5.1
%define release		3mdk
%define sysconfdir	%{_sysconfdir}
%define localstatedir	/var/lib


Summary:	GNOME Object Activation Framework
Name:		oaf
Release:	%release
Version:	%version
Copyright:	GPL
Group:		Graphical desktop/GNOME
BuildRequires:	ORBit-devel, popt-devel, libxml-devel, zlib-devel
BuildConflicts:	libxml2-devel

Source:		ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}/%{name}-%{version}.tar.bz2

URL:		ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	ORBit >= 0.5.2
Requires:	gnome-libs >= 1.2.0

%description
OAF (Object Activation Framework) provides the avtivation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

%package devel
#%package -n oafdev
Summary:	Development libraries and headers for OAF
Group:		Graphical desktop/GNOME
Requires:	%name = %{PACKAGE_VERSION}

%description devel
OAF (Object Activation Framework) provides the avtivation mechanism for GNOME
components. It is a replacement for GOAD in the GNOME 2 platform.

This package contains the header files and libraries needed to develop
applications using OAF.

%prep

%setup -q -n %{name}-%{version}

%build
CFLAGS="-pipe $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{_prefix} --sysconfdir=%{sysconfdir}	\
	--localstatedir=%{localstatedir}

%make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/oafd
%{_bindir}/oaf-client
%{_libdir}/lib*.so.*
%{_datadir}/oaf/oafd.oafinfo
%config(noreplace) %{_sysconfdir}/*

%files devel
%defattr(-, root, root)
%{_bindir}/oaf-config
%{_libdir}/*a
%{_libdir}/*so
%{_libdir}/*Conf.sh
%{_includedir}/liboaf
%{_datadir}/aclocal/oaf.m4

%changelog
* Mon Sep 18 2000 David BAUDENS <baudens@mandrakesoft.com> 0.5.1-3mdk
- BuildConflits: libxml2-devel
- Make rpmlint happy

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.1-2mdk
- add things in /etc.

* Mon Aug 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.1-1mdk
- remove docdir, no use.!
- new and shiny version.

* Sun Aug 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.0-1mdk
- new and shiny version of oaf.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.0-2mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.4.0-1mdk
- Packaged for mandrake. Needed for gnucash/gtkhtml
